org.apache.tinkerpop.gremlin.process.traversal.step.util.event

## Class Event.ElementPropertyChangedEvent

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.ElementPropertyEvent
  - - org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.ElementPropertyChangedEvent

- All Implemented Interfaces:
    Event
  Direct Known Subclasses:
    Event.EdgePropertyChangedEvent, Event.VertexPropertyChangedEvent, Event.VertexPropertyPropertyChangedEvent
  Enclosing interface:
    Event

      public abstract static class Event.ElementPropertyChangedEvent
      extends Event.ElementPropertyEvent

  A base class for `Property` mutation events.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event

      `Event.EdgeAddedEvent, Event.EdgePropertyChangedEvent, Event.EdgePropertyRemovedEvent, Event.EdgeRemovedEvent, Event.ElementPropertyChangedEvent, Event.ElementPropertyEvent, Event.VertexAddedEvent, Event.VertexPropertyChangedEvent, Event.VertexPropertyPropertyChangedEvent, Event.VertexPropertyPropertyRemovedEvent, Event.VertexPropertyRemovedEvent, Event.VertexRemovedEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementPropertyChangedEvent(Element element, Property oldValue, Object newValue, Object... vertexPropertyKeyValues)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.ElementPropertyEvent

      `fireEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementPropertyChangedEvent

          public ElementPropertyChangedEvent(Element element,
                                             Property oldValue,
                                             Object newValue,
                                             Object... vertexPropertyKeyValues)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.